'use strict';

var pegjs = require('pegjs');
var rollupPluginutils = require('rollup-pluginutils');

var index = (function () {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return {
    transform: function transform(grammar, id) {
      var _options$target = options.target,
          target = _options$target === undefined ? 'es6' : _options$target,
          _options$include = options.include,
          include = _options$include === undefined ? ['*.pegjs', '**/*.pegjs'] : _options$include,
          exclude = options.exclude;

      var filter = rollupPluginutils.createFilter(include, exclude);
      var exporter = target == 'es6' ? 'export default' : 'module.exports =';
      return filter(id) ? { code: exporter + ' ' + pegjs.generate(grammar, Object.assign({ output: 'source' }, options)) + ';', map: { mappings: '' } } : null;
    }
  };
});

module.exports = index;
